SDL_GPUViewport Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

float | x
float | y
float | w
float | h
float | min_depth
float | max_depth

## Detailed Description

A structure specifying a viewport.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_SetGPUViewport

Definition at line 1382 of file SDL_gpu.h.

## Field Documentation

## h

float SDL_GPUViewport::h

The height of the viewport.

Definition at line 1387 of file SDL_gpu.h.

## max_depth

float SDL_GPUViewport::max_depth

The maximum depth of the viewport.

Definition at line 1389 of file SDL_gpu.h.

## min_depth

float SDL_GPUViewport::min_depth

The minimum depth of the viewport.

Definition at line 1388 of file SDL_gpu.h.

## w

float SDL_GPUViewport::w

The width of the viewport.

Definition at line 1386 of file SDL_gpu.h.

## x

float SDL_GPUViewport::x

The left offset of the viewport.

Definition at line 1384 of file SDL_gpu.h.

## y

float SDL_GPUViewport::y

The top offset of the viewport.

Definition at line 1385 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h